import cdk = require('@aws-cdk/core');
import ec2 = require('@aws-cdk/aws-ec2');
export interface BastionHostProps {
    readonly vpc: ec2.IVpc;
    readonly instanceType?: ec2.InstanceType;
    readonly image: ec2.IMachineImage;
    readonly peers: ec2.IPeer[];
    readonly keyName: string;
    readonly subnets?: ec2.SubnetSelection;
}
export declare class BastionHost extends cdk.Construct {
    readonly internalSshSecurityGroup: ec2.ISecurityGroup;
    readonly publicIp: string;
    constructor(scope: cdk.Construct, id: string, props: BastionHostProps);
    private createLambda;
    private createLambdaRole;
    private createLambdaCode;
    private createAllowInternalSshSG;
    private createAllowExternSshSG;
}
